aboutsummaryrefslogtreecommitdiffstats
path: root/travis
diff options
context:
space:
mode:
authorAndreas Fischer <bantu@phpbb.com>2013-10-15 16:28:59 +0200
committerAndreas Fischer <bantu@phpbb.com>2013-10-15 16:28:59 +0200
commitcdaea7a4062c463e9536b3ca52207c013d8af408 (patch)
tree3f6b643816045b54de7020d2ae99468e42d79fb7 /travis
parent9e51b43829dd30b73c502925c11733c272f9ca1f (diff)
downloadforums-cdaea7a4062c463e9536b3ca52207c013d8af408.tar
forums-cdaea7a4062c463e9536b3ca52207c013d8af408.tar.gz
forums-cdaea7a4062c463e9536b3ca52207c013d8af408.tar.bz2
forums-cdaea7a4062c463e9536b3ca52207c013d8af408.tar.xz
forums-cdaea7a4062c463e9536b3ca52207c013d8af408.zip
[ticket/11920] Add MariaDB environment to Travis-CI.
PHPBB3-11920
Diffstat (limited to 'travis')
-rw-r--r--travis/phpunit-mariadb-travis.xml41
-rwxr-xr-xtravis/setup-mariadb.sh26
2 files changed, 67 insertions, 0 deletions
diff --git a/travis/phpunit-mariadb-travis.xml b/travis/phpunit-mariadb-travis.xml
new file mode 100644
index 0000000000..d49118b0f8
--- /dev/null
+++ b/travis/phpunit-mariadb-travis.xml
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<phpunit backupGlobals="true"
+ backupStaticAttributes="true"
+ colors="true"
+ convertErrorsToExceptions="true"
+ convertNoticesToExceptions="true"
+ convertWarningsToExceptions="true"
+ processIsolation="false"
+ stopOnFailure="false"
+ syntaxCheck="true"
+ strict="true"
+ verbose="true"
+ bootstrap="../tests/bootstrap.php">
+ <testsuites>
+ <testsuite name="phpBB Test Suite">
+ <directory suffix="_test.php">../tests/</directory>
+ <exclude>tests/functional</exclude>
+ <exclude>tests/lint_test.php</exclude>
+ </testsuite>
+ <testsuite name="phpBB Functional Tests">
+ <directory suffix="_test.php" phpVersion="5.3.19" phpVersionOperator=">=">../tests/functional</directory>
+ </testsuite>
+ </testsuites>
+
+ <groups>
+ <exclude>
+ <group>slow</group>
+ </exclude>
+ </groups>
+
+ <php>
+ <server name="PHPBB_TEST_DBMS" value="mysqli" />
+ <server name="PHPBB_TEST_DBHOST" value="0.0.0.0" />
+ <server name="PHPBB_TEST_DBPORT" value="3306" />
+ <server name="PHPBB_TEST_DBNAME" value="phpbb_tests" />
+ <server name="PHPBB_TEST_DBUSER" value="root" />
+ <server name="PHPBB_TEST_DBPASSWD" value="rootpasswd" />
+ <server name="PHPBB_TEST_TABLE_PREFIX" value="phpbb_"/>
+ <server name="PHPBB_FUNCTIONAL_URL" value="http://localhost/" />
+ </php>
+</phpunit>
diff --git a/travis/setup-mariadb.sh b/travis/setup-mariadb.sh
new file mode 100755
index 0000000000..68359e400a
--- /dev/null
+++ b/travis/setup-mariadb.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+# @copyright (c) 2013 phpBB Group
+# @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
+#
+set -e
+
+# MariaDB Series
+VERSION='5.5'
+
+# Operating system codename, e.g. "precise"
+OS_CODENAME=$(lsb_release --codename --short)
+
+if ! which add-apt-repository > /dev/null
+then
+ sudo apt-get update -qq
+ sudo apt-get install -qq python-software-properties
+fi
+
+sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 0xcbcb082a1bb943db
+sudo add-apt-repository "deb http://ftp.osuosl.org/pub/mariadb/repo/$VERSION/ubuntu $OS_CODENAME main"
+sudo apt-get update -qq
+
+sudo debconf-set-selections <<< "mariadb-server-$VERSION mysql-server/root_password password rootpasswd"
+sudo debconf-set-selections <<< "mariadb-server-$VERSION mysql-server/root_password_again password rootpasswd"
+sudo apt-get install -qq mariadb-server